

During a suicide attempt, I jumped out of a moving car and landed head first on the ground.

Then, I was in another state of consciousness. God spoke to me and told me that he and the angels were real, they loved us, and they are a gift from him. God gave me the greatest hug I have ever had. After realizing that I had yanked myself out of my body, I went midair and saw my guardian angels on each side. They were about 8 feet 6 inches in height and the wings were about 5 to 6 feet across. They told me how many people I need to help back on earth and to look down at my body being looked at by paramedics. That's when I realized that the afterlife is real and God loves us. God told me before I go back to tell everyone that he loves them. It's that easy. Also, God said he is long suffering and will go to the end of the earth so we can be with him. I my angels told me that I would go back to earth and they were really happy that I chose to go back and do the work that was assigned to me.

